Program z11; 
Var i,n: Integer;
   p1,y: Real;
Begin
 N:=10; 
 p1:=1;
 For i:=1 To n Do p1:=p1*2;{ возводим 2 в степень n}
 y:=n+p1/(n+1);  {находим  последне  значение дроби}
 For i:= n - 1 DoWnTo 1 Do
    Begin 
      p1:=p1/2; {уменьшаем степень}
      y:=i +p1/y {вычисляем очередной член дроби}
    end;
 y:=1/y; {}
 WriteLn('z11   y=', y:4:8);
End.